Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 40186 - Exception in the tab control in the editor
Exception in the tab control in the editor
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Windows XP
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 16:56 UTC by ynain
Modified: 2008-12-22 17:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ynain 2004-02-17 16:56:05 UTC
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf
.ScrollingTabLayoutModel.getW
(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf
.AbstractScrollableTabsUI.getTabRect
(AbstractScrollableTabsUI.java:201)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf
.TabsUI2$Controller2.possibleRepaint
(TabsUI2.java:432)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf
.TabsUI2$Controller2.mousePressed
(TabsUI2.java:550)
	at 
java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent
(Component.java:5131)
	at java.awt.Component.processEvent
(Component.java:4931)
	at java.awt.Container.processEvent
(Container.java:1566)
	at java.awt.Component.dispatchEventImpl
(Component.java:3639)
	at java.awt.Container.dispatchEventImpl
(Container.java:1623)
	at java.awt.Component.dispatchEvent
(Component.java:3480)
	at 
java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at 
java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at 
java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl
(Container.java:1609)
	at java.awt.Window.dispatchEventImpl
(Window.java:1590)
	at java.awt.Component.dispatchEvent
(Component.java:3480)
[catch] at java.awt.EventQueue.dispatchEvent
(EventQueue.java:450)
	at 
java.awt.EventDispatchThread.pumpOneEventForHiera
rchy(EventDispatchThread.java:197)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarc
hy(EventDispatchThread.java:150)
	at 
java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at 
java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
Comment 1 David Simonek 2004-02-18 15:32:28 UTC
Any reproductible scenario? What did you do? Can you reproduce again?
It works OK for me here (passing to Tim).
Comment 2 ynain 2004-02-18 15:38:36 UTC
I can reproduce it by playing with the tab control for a while. I 
have over 20 files open. When I click on the rightmost tab which is 
partially visible it throws the exception.
Comment 3 ynain 2004-02-18 15:59:57 UTC
Here is a view of the ide.log.

---------------------------------------------------------------------
----------
>Log Session: Tuesday, February 17, 2004 1:47:21 PM EST
>System Info: 
  Product Version       = NetBeans IDE 3.6 Beta (Build 200402042050)
  Operating System      = Windows XP version 5.1 running on x86
  Java; VM; Vendor      = 1.4.1_02; Java HotSpot(TM) Client VM 
1.4.1_02-b06; Sun Microsystems Inc.
  Java Home             = C:\j2sdk1.4.1_02\jre
  System Locale; Encod. = en_US; Cp1252
  Home Dir; Current Dir = C:\Documents and Settings\YNain; 
C:\Program Files\NetBeans3.6
  IDE Install; User Dir = C:\Program Files\NetBeans3.6; C:\Documents 
and Settings\YNain\.netbeans\3.6_Beta
  CLASSPATH             = C:\Program Files\NetBeans3.6
\lib\ext\boot.jar;C:\j2sdk1.4.1_02\lib\dt.jar;C:\j2sdk1.4.1_02
\lib\tools.jar
  Boot & ext classpath  = C:\j2sdk1.4.1_02
\jre\lib\rt.jar;C:\j2sdk1.4.1_02\jre\lib\i18n.jar;C:\j2sdk1.4.1_02
\jre\lib\sunrsasign.jar;C:\j2sdk1.4.1_02
\jre\lib\jsse.jar;C:\j2sdk1.4.1_02\jre\lib\jce.jar;C:\j2sdk1.4.1_02
\jre\lib\charsets.jar;C:\j2sdk1.4.1_02\jre\classes;C:\j2sdk1.4.1_02
\jre\lib\ext\dnsns.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\ldapsec.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\localedata.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\sunjce_provider.jar
  Dynamic classpath     = C:\Program Files\NetBeans3.6
\lib\core.jar;C:\Program Files\NetBeans3.6\lib\openfile-
cli.jar;C:\Program Files\NetBeans3.6\lib\openide-
loaders.jar;C:\Program Files\NetBeans3.6\lib\openide.jar
---------------------------------------------------------------------
----------
[org.netbeans.core.modules #4] WARNING: Class-Path 
value ../../ant/lib/ant.jar from C:\Program Files\NetBeans3.6
\modules\eager\jsp-parser.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.jarpackager uses org.netbeans.libs.regexp which 
is deprecated: JDK 1.4 includes regular expression support which 
should be used instead: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#4.0-jre-regexp
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.projects uses org.openide.deprecated which is 
deprecated: Clients of obsoleted Open APIs are encouraged to remove 
this dependency. See 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#3.5i-sep-I
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.i18n uses org.netbeans.libs.regexp which is 
deprecated: JDK 1.4 includes regular expression support which should 
be used instead: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#4.0-jre-regexp
Turning on modules:
	org.openide/1 [4.23 200402042050]
	org.openide.loaders [4.11 200402042050]
	org.openide.src [1.1 200402042050]
	org.openide.io [1.1 200402042050]
	org.openide.execution [1.1 200402042050]
	org.openide.compiler [1.2 200402042050]
	org.netbeans.core/1 [1.21 200402042050]
	org.netbeans.lib.terminalemulator [1.1 200402042050]
	org.netbeans.core.output/1 [1.1 200402042050]
	org.netbeans.core.compiler/1 [1.4 200402042050]
	org.openide.debugger [1.1 200402042050]
	org.netbeans.modules.editor/1 [1.14 200402042050]
	org.netbeans.modules.diff/1 [1.7 200402042050]
	org.openidex.util/2 [2.7 200402042050]
	org.netbeans.modules.vcscore/1 [1.9 200402042050]
	org.netbeans.modules.vcs.advanced/1 [1.9 200402042050]
	org.netbeans.modules.vcs.cmdline.compat/1 [1.3 200402042050]
	org.netbeans.modules.settings/1 [1.4 200402042050]
	org.netbeans.modules.javahelp/1 [2.1 200402042050]
	org.netbeans.modules.classfile/1 [1.8 200402042050]
	org.netbeans.api.java/1 [1.3 200402042050]
	org.netbeans.core.execution/1 [1.3 200402042050]
	org.netbeans.modules.java/1 [1.16 200402042050]
	org.netbeans.tasklistapi/1 [1.6.2 2 200402042050]
	org.netbeans.modules.tasklist.core/2 [1.21.22 2 200402042050]
	org.netbeans.core.windows/2 [2.0 200402042050]
	org.netbeans.core.ui/1 [1.3 200402042050]
	org.netbeans.modules.utilities/1 [1.15 200402042050]
	org.netbeans.modules.autoupdate/1 [2.8 200402042050]
	org.netbeans.modules.welcome/1 [1.5 200402042050]
	org.netbeans.modules.vcs.profiles.vss/1 [1.3 200402042050]
	org.netbeans.modules.j2eeapis/1 [1.0 200402042050]
	org.netbeans.modules.schema2beans/1 [1.7 200402042050]
	org.netbeans.libs.j2eeeditor/1 [1.1 200402042050]
	org.netbeans.modules.debugger.core/3 [2.10 200402042050]
	org.netbeans.modules.j2eeserver/3 [1.1 200402042050]
	org.netbeans.modules.beans/1 [1.11 200402042050]
	org.netbeans.modules.debugger.jpda/1 [1.17 200402042050]
	org.netbeans.api.web.dd/1 [1.1 1.0 200402042050]
	org.netbeans.libs.regexp [1.2 1.2]
	org.netbeans.modules.jarpackager/2 [1.14 200402042050]
	org.netbeans.modules.servletapi24/1 [2.0 2.0 200402042050]
	org.netbeans.modules.web.jspparser/2 [2.0 200402042050]
	org.netbeans.libs.xalan/1 [1.4 2.5.2]
	org.netbeans.libs.jaxp/1 [1.2 1.1.2]
	org.netbeans.api.xml/1 [1.2.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.xml.core/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.openide.deprecated [1.3 200402042050]
	org.netbeans.core.deprecated [1.3 200402042050]
	org.netbeans.modules.projects/1 [1.14 200402042050]
	org.netbeans.modules.xml.catalog/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.xml.text/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.html/1 [1.12 200402042050]
	org.netbeans.modules.web.core.syntax/1 [1.13 200402042050]
	org.netbeans.modules.web.core/1 [1.17 200402042050]
	org.netbeans.modules.web.ie/1 [1.16 200402042050]
	org.netbeans.modules.servletapi/1 [1.3 200402042050]
	org.netbeans.modules.httpserver/1 [1.13 200402042050]
	org.netbeans.modules.image/1 [1.11 200402042050]
	org.netbeans.lib.cvsclient/1 [1.8 200402042050]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.3 
200402042050]
	org.netbeans.modules.cvsclient/1 [2.0 200402042050]
	org.netbeans.modules.xml.schema/1 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.libs.xerces/1 [1.4 2.6.0]
	org.netbeans.modules.tomcat5/1 [1.0 200402042050]
	org.apache.tools.ant.module/3 [3.6 200402042050]
	org.netbeans.modules.suggestions_framework/2 [1.1.224 4 
200402042050]
	org.netbeans.modules.tasklist.docscan/2 [1.12.2243 3 
200402042050]
	org.netbeans.modules.tomcat5.bundled/1 [1.0 200402042050]
	org.netbeans.modules.web.monitor/1 [1.9 200402042050]
	org.netbeans.modules.web.taglibed/1 [1.12.3.6.0 200402042050]
	org.netbeans.modules.javadoc/1 [1.11 200402042050]
	org.netbeans.modules.group/1 [1.0 200402042050]
	org.netbeans.modules.updatecenters/1 [1.0 200402042050]
	org.netbeans.modules.properties/1 [1.11 200402042050]
	org.netbeans.modules.properties.syntax/1 [1.11 200402042050]
	org.netbeans.modules.junit/2 [2.11 200402042050]
	org.netbeans.core.ide/1 [1.3 200402042050]
	org.netbeans.modules.applet/1 [1.14 200402042050]
	org.netbeans.modules.db/1 [1.8 200402042050]
	org.netbeans.modules.i18n/1 [1.13 200402042050]
	org.netbeans.modules.xml.tax/2 [1.0.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.xml.tools/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.vcs.profiles.pvcs/1 [1.3 200402042050]
	org.netbeans.modules.extbrowser/1 [1.3 200402042050]
	org.netbeans.modules.clazz/1 [1.13 200402042050]
	org.netbeans.modules.text/1 [1.12 200402042050]
	org.netbeans.modules.usersguide/1 [1.13 200402042050]
	org.netbeans.modules.vcs.profiles.clearcase/1 [1.1.1 
${buildnumber}]
	org.netbeans.modules.form/2 [1.13 200402042050]
	org.netbeans.modules.i18n.form/2 [1.12 200402042050]
	org.netbeans.modules.web.debug/1 [2.0 200402042050]
	org.netbeans.modules.xsl/1 [1.0.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.css/2 [1.0.3.6.0 3.6.0 200402042050]
Warning - 
org.netbeans.modules.debugger.delegator.DefaultDebuggerType should 
have overridden startDebugger(DataObject,boolean); falling back on 
deprecated ExecInfo usage; see: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#3.5i-sep-II-ExecInfo
Warning: Object JagApplicationLauncher cannot be moved.
.
.Similar warning for other files ...
.
.
Warning: Object package cannot be moved.
---------------------------------------------------------------------
----------
>Log Session: Tuesday, February 17, 2004 3:52:06 PM EST
>System Info: 
  Product Version       = NetBeans IDE 3.6 Beta (Build 200402042050)
  Operating System      = Windows XP version 5.1 running on x86
  Java; VM; Vendor      = 1.4.1_02; Java HotSpot(TM) Client VM 
1.4.1_02-b06; Sun Microsystems Inc.
  Java Home             = C:\j2sdk1.4.1_02\jre
  System Locale; Encod. = en_US; Cp1252
  Home Dir; Current Dir = C:\Documents and Settings\YNain; 
C:\Program Files\NetBeans3.6
  IDE Install; User Dir = C:\Program Files\NetBeans3.6; C:\Documents 
and Settings\YNain\.netbeans\3.6_Beta
  CLASSPATH             = C:\Program Files\NetBeans3.6
\lib\ext\boot.jar;C:\j2sdk1.4.1_02\lib\dt.jar;C:\j2sdk1.4.1_02
\lib\tools.jar
  Boot & ext classpath  = C:\j2sdk1.4.1_02
\jre\lib\rt.jar;C:\j2sdk1.4.1_02\jre\lib\i18n.jar;C:\j2sdk1.4.1_02
\jre\lib\sunrsasign.jar;C:\j2sdk1.4.1_02
\jre\lib\jsse.jar;C:\j2sdk1.4.1_02\jre\lib\jce.jar;C:\j2sdk1.4.1_02
\jre\lib\charsets.jar;C:\j2sdk1.4.1_02\jre\classes;C:\j2sdk1.4.1_02
\jre\lib\ext\dnsns.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\ldapsec.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\localedata.jar;C:\j2sdk1.4.1_02
\jre\lib\ext\sunjce_provider.jar
  Dynamic classpath     = C:\Program Files\NetBeans3.6
\lib\core.jar;C:\Program Files\NetBeans3.6\lib\openfile-
cli.jar;C:\Program Files\NetBeans3.6\lib\openide-
loaders.jar;C:\Program Files\NetBeans3.6\lib\openide.jar
---------------------------------------------------------------------
----------
[org.netbeans.core.modules #4] WARNING: Class-Path 
value ../../ant/lib/ant.jar from C:\Program Files\NetBeans3.6
\modules\eager\jsp-parser.jar is illegal according to the Java 
Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.projects uses org.openide.deprecated which is 
deprecated: Clients of obsoleted Open APIs are encouraged to remove 
this dependency. See 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#3.5i-sep-I
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.jarpackager uses org.netbeans.libs.regexp which 
is deprecated: JDK 1.4 includes regular expression support which 
should be used instead: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#4.0-jre-regexp
[org.netbeans.core.modules #6] Warning: the module 
org.netbeans.modules.i18n uses org.netbeans.libs.regexp which is 
deprecated: JDK 1.4 includes regular expression support which should 
be used instead: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#4.0-jre-regexp
Turning on modules:
	org.openide/1 [4.23 200402042050]
	org.openide.loaders [4.11 200402042050]
	org.openide.src [1.1 200402042050]
	org.openide.io [1.1 200402042050]
	org.openide.execution [1.1 200402042050]
	org.openide.compiler [1.2 200402042050]
	org.netbeans.core/1 [1.21 200402042050]
	org.netbeans.lib.terminalemulator [1.1 200402042050]
	org.netbeans.core.output/1 [1.1 200402042050]
	org.netbeans.core.compiler/1 [1.4 200402042050]
	org.openide.debugger [1.1 200402042050]
	org.netbeans.modules.editor/1 [1.14 200402042050]
	org.netbeans.modules.diff/1 [1.7 200402042050]
	org.openidex.util/2 [2.7 200402042050]
	org.netbeans.modules.vcscore/1 [1.9 200402042050]
	org.netbeans.modules.vcs.advanced/1 [1.9 200402042050]
	org.netbeans.modules.settings/1 [1.4 200402042050]
	org.netbeans.modules.javahelp/1 [2.1 200402042050]
	org.netbeans.modules.classfile/1 [1.8 200402042050]
	org.netbeans.api.java/1 [1.3 200402042050]
	org.netbeans.core.execution/1 [1.3 200402042050]
	org.netbeans.modules.java/1 [1.16 200402042050]
	org.netbeans.tasklistapi/1 [1.6.2 2 200402042050]
	org.netbeans.modules.tasklist.core/2 [1.21.22 2 200402042050]
	org.netbeans.modules.suggestions_framework/2 [1.1.224 4 
200402042050]
	org.netbeans.modules.servletapi/1 [1.3 200402042050]
	org.netbeans.libs.xalan/1 [1.4 2.5.2]
	org.netbeans.libs.jaxp/1 [1.2 1.1.2]
	org.netbeans.api.xml/1 [1.2.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.xml.core/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.servletapi24/1 [2.0 2.0 200402042050]
	org.netbeans.modules.web.jspparser/2 [2.0 200402042050]
	org.netbeans.modules.j2eeapis/1 [1.0 200402042050]
	org.netbeans.modules.autoupdate/1 [2.8 200402042050]
	org.netbeans.modules.css/2 [1.0.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.debugger.core/3 [2.10 200402042050]
	org.netbeans.modules.schema2beans/1 [1.7 200402042050]
	org.netbeans.libs.j2eeeditor/1 [1.1 200402042050]
	org.netbeans.modules.j2eeserver/3 [1.1 200402042050]
	org.openide.deprecated [1.3 200402042050]
	org.netbeans.core.deprecated [1.3 200402042050]
	org.netbeans.modules.projects/1 [1.14 200402042050]
	org.netbeans.modules.xml.catalog/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.api.web.dd/1 [1.1 1.0 200402042050]
	org.netbeans.libs.regexp [1.2 1.2]
	org.netbeans.modules.jarpackager/2 [1.14 200402042050]
	org.netbeans.modules.xml.text/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.html/1 [1.12 200402042050]
	org.netbeans.modules.web.core.syntax/1 [1.13 200402042050]
	org.netbeans.modules.web.core/1 [1.17 200402042050]
	org.netbeans.modules.xml.tax/2 [1.0.3.6.0 3.6.0 200402042050]
	org.netbeans.core.ide/1 [1.3 200402042050]
	org.netbeans.modules.vcs.profiles.pvcs/1 [1.3 200402042050]
	org.netbeans.modules.vcs.cmdline.compat/1 [1.3 200402042050]
	org.netbeans.modules.debugger.jpda/1 [1.17 200402042050]
	org.netbeans.modules.web.debug/1 [2.0 200402042050]
	org.netbeans.modules.utilities/1 [1.15 200402042050]
	org.netbeans.modules.properties/1 [1.11 200402042050]
	org.netbeans.modules.i18n/1 [1.13 200402042050]
	org.netbeans.modules.form/2 [1.13 200402042050]
	org.netbeans.modules.i18n.form/2 [1.12 200402042050]
	org.netbeans.modules.text/1 [1.12 200402042050]
	org.netbeans.modules.usersguide/1 [1.13 200402042050]
	org.netbeans.modules.beans/1 [1.11 200402042050]
	org.netbeans.libs.xerces/1 [1.4 2.6.0]
	org.netbeans.modules.tomcat5/1 [1.0 200402042050]
	org.netbeans.modules.xml.schema/1 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.core.windows/2 [2.0 200402042050]
	org.netbeans.core.ui/1 [1.3 200402042050]
	org.netbeans.modules.welcome/1 [1.5 200402042050]
	org.netbeans.lib.cvsclient/1 [1.8 200402042050]
	org.netbeans.modules.db/1 [1.8 200402042050]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.3 
200402042050]
	org.netbeans.modules.image/1 [1.11 200402042050]
	org.netbeans.modules.tomcat5.bundled/1 [1.0 200402042050]
	org.apache.tools.ant.module/3 [3.6 200402042050]
	org.netbeans.modules.javadoc/1 [1.11 200402042050]
	org.netbeans.modules.web.ie/1 [1.16 200402042050]
	org.netbeans.modules.web.taglibed/1 [1.12.3.6.0 200402042050]
	org.netbeans.modules.vcs.profiles.clearcase/1 [1.1.1 
${buildnumber}]
	org.netbeans.modules.cvsclient/1 [2.0 200402042050]
	org.netbeans.modules.httpserver/1 [1.13 200402042050]
	org.netbeans.modules.web.monitor/1 [1.9 200402042050]
	org.netbeans.modules.junit/2 [2.11 200402042050]
	org.netbeans.modules.xsl/1 [1.0.3.6.0 3.6.0 200402042050]
	org.netbeans.modules.tasklist.docscan/2 [1.12.2243 3 
200402042050]
	org.netbeans.modules.vcs.profiles.vss/1 [1.3 200402042050]
	org.netbeans.modules.properties.syntax/1 [1.11 200402042050]
	org.netbeans.modules.updatecenters/1 [1.0 200402042050]
	org.netbeans.modules.extbrowser/1 [1.3 200402042050]
	org.netbeans.modules.xml.tools/2 [1.0.3.6.0 3.6.0 
200402042050]
	org.netbeans.modules.applet/1 [1.14 200402042050]
	org.netbeans.modules.group/1 [1.0 200402042050]
	org.netbeans.modules.clazz/1 [1.13 200402042050]
Warning - 
org.netbeans.modules.debugger.delegator.DefaultDebuggerType should 
have overridden startDebugger(DataObject,boolean); falling back on 
deprecated ExecInfo usage; see: 
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc
-files/upgrade.html#3.5i-sep-II-ExecInfo
Warning: Object CheckBoxRenderer cannot be moved.
.
. Similar warning for other files ...
.
java.lang.IndexOutOfBoundsException: Index: -1
	at java.util.Collections$EmptyList.get(Collections.java:2138)
	at org.openide.explorer.view.VisualizerNode.getChildAt
(VisualizerNode.java:201)
	at org.openide.explorer.view.NodeListModel.findElementAt
(NodeListModel.java:226)
	at org.openide.explorer.view.NodeListModel.getElementAt
(NodeListModel.java:140)
	at 
org.openide.explorer.view.ListViewDropSupport.indexWithCheck
(ListViewDropSupport.java:236)
	at org.openide.explorer.view.ListViewDropSupport.dragEnter
(ListViewDropSupport.java:83)
	at java.awt.dnd.DropTarget.dragEnter(DropTarget.java:338)
	at sun.awt.dnd.SunDropTargetContextPeer.processEnterMessage
(SunDropTargetContextPeer.java:315)
	at sun.awt.dnd.SunDropTargetContextPeer.access$500
(SunDropTargetContextPeer.java:52)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEnterEve
nt(SunDropTargetContextPeer.java:763)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent
(SunDropTargetContextPeer.java:735)
	at sun.awt.dnd.SunDropTargetEvent.dispatch
(SunDropTargetEvent.java:29)
	at java.awt.Component.dispatchEventImpl(Component.java:3497)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.trackMouseEnterExit
(Container.java:3290)
	at java.awt.LightweightDispatcher.processDropTargetEvent
(Container.java:3228)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3090)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
java.lang.IndexOutOfBoundsException: Index: -1
	at java.util.Collections$EmptyList.get(Collections.java:2138)
	at org.openide.explorer.view.VisualizerNode.getChildAt
(VisualizerNode.java:201)
	at org.openide.explorer.view.NodeListModel.findElementAt
(NodeListModel.java:226)
	at org.openide.explorer.view.NodeListModel.getElementAt
(NodeListModel.java:140)
	at 
org.openide.explorer.view.ListViewDropSupport.indexWithCheck
(ListViewDropSupport.java:236)
	at org.openide.explorer.view.ListViewDropSupport.dragOver
(ListViewDropSupport.java:96)
	at java.awt.dnd.DropTarget.dragOver(DropTarget.java:356)
	at sun.awt.dnd.SunDropTargetContextPeer.processMotionMessage
(SunDropTargetContextPeer.java:484)
	at sun.awt.dnd.SunDropTargetContextPeer.access$600
(SunDropTargetContextPeer.java:52)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchMotionEv
ent(SunDropTargetContextPeer.java:781)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent
(SunDropTargetContextPeer.java:738)
	at sun.awt.dnd.SunDropTargetEvent.dispatch
(SunDropTargetEvent.java:29)
	at java.awt.Component.dispatchEventImpl(Component.java:3497)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processDropTargetEvent
(Container.java:3236)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3090)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
java.lang.IndexOutOfBoundsException: Index: -1
	at java.util.Collections$EmptyList.get(Collections.java:2138)
	at org.openide.explorer.view.VisualizerNode.getChildAt
(VisualizerNode.java:201)
	at org.openide.explorer.view.NodeListModel.findElementAt
(NodeListModel.java:226)
	at org.openide.explorer.view.NodeListModel.getElementAt
(NodeListModel.java:140)
	at 
org.openide.explorer.view.ListViewDropSupport.indexWithCheck
(ListViewDropSupport.java:236)
	at org.openide.explorer.view.ListViewDropSupport.dragOver
(ListViewDropSupport.java:96)
	at java.awt.dnd.DropTarget.dragOver(DropTarget.java:356)
	at sun.awt.dnd.SunDropTargetContextPeer.processMotionMessage
(SunDropTargetContextPeer.java:484)
	at sun.awt.dnd.SunDropTargetContextPeer.access$600
(SunDropTargetContextPeer.java:52)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchMotionEv
ent(SunDropTargetContextPeer.java:781)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent
(SunDropTargetContextPeer.java:738)
	at sun.awt.dnd.SunDropTargetEvent.dispatch
(SunDropTargetEvent.java:29)
	at java.awt.Component.dispatchEventImpl(Component.java:3497)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processDropTargetEvent
(Container.java:3236)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3090)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
java.lang.IndexOutOfBoundsException: Index: -1
	at java.util.Collections$EmptyList.get(Collections.java:2138)
	at org.openide.explorer.view.VisualizerNode.getChildAt
(VisualizerNode.java:201)
	at org.openide.explorer.view.NodeListModel.findElementAt
(NodeListModel.java:226)
	at org.openide.explorer.view.NodeListModel.getElementAt
(NodeListModel.java:140)
	at 
org.openide.explorer.view.ListViewDropSupport.indexWithCheck
(ListViewDropSupport.java:236)
	at org.openide.explorer.view.ListViewDropSupport.dragEnter
(ListViewDropSupport.java:83)
	at java.awt.dnd.DropTarget.dragEnter(DropTarget.java:338)
	at sun.awt.dnd.SunDropTargetContextPeer.processEnterMessage
(SunDropTargetContextPeer.java:315)
	at sun.awt.dnd.SunDropTargetContextPeer.access$500
(SunDropTargetContextPeer.java:52)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEnterEve
nt(SunDropTargetContextPeer.java:763)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent
(SunDropTargetContextPeer.java:735)
	at sun.awt.dnd.SunDropTargetEvent.dispatch
(SunDropTargetEvent.java:29)
	at java.awt.Component.dispatchEventImpl(Component.java:3497)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.trackMouseEnterExit
(Container.java:3290)
	at java.awt.LightweightDispatcher.processDropTargetEvent
(Container.java:3228)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3090)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
java.lang.IndexOutOfBoundsException: Index: -1
	at java.util.Collections$EmptyList.get(Collections.java:2138)
	at org.openide.explorer.view.VisualizerNode.getChildAt
(VisualizerNode.java:201)
	at org.openide.explorer.view.NodeListModel.findElementAt
(NodeListModel.java:226)
	at org.openide.explorer.view.NodeListModel.getElementAt
(NodeListModel.java:140)
	at 
org.openide.explorer.view.ListViewDropSupport.indexWithCheck
(ListViewDropSupport.java:236)
	at org.openide.explorer.view.ListViewDropSupport.dragOver
(ListViewDropSupport.java:96)
	at java.awt.dnd.DropTarget.dragOver(DropTarget.java:356)
	at sun.awt.dnd.SunDropTargetContextPeer.processMotionMessage
(SunDropTargetContextPeer.java:484)
	at sun.awt.dnd.SunDropTargetContextPeer.access$600
(SunDropTargetContextPeer.java:52)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchMotionEv
ent(SunDropTargetContextPeer.java:781)
	at 
sun.awt.dnd.SunDropTargetContextPeer$EventDispatcher.dispatchEvent
(SunDropTargetContextPeer.java:738)
	at sun.awt.dnd.SunDropTargetEvent.dispatch
(SunDropTargetEvent.java:29)
	at java.awt.Component.dispatchEventImpl(Component.java:3497)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processDropTargetEvent
(Container.java:3236)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3090)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
*********** Exception occurred ************ at Wed Feb 18 10:36:04 
EST 2004
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.ScrollingTabLayoutM
odel.getW(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.AbstractScrollableT
absUI.getTabRect(AbstractScrollableTabsUI.java:201)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.possibleRepaint(TabsUI2.java:432)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.mousePressed(TabsUI2.java:550)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent(Component.java:5131)
	at java.awt.Component.processEvent(Component.java:4931)
	at java.awt.Container.processEvent(Container.java:1566)
	at java.awt.Component.dispatchEventImpl(Component.java:3639)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
*********** Exception occurred ************ at Wed Feb 18 10:40:44 
EST 2004
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.ScrollingTabLayoutM
odel.getW(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.AbstractScrollableT
absUI.getTabRect(AbstractScrollableTabsUI.java:201)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.possibleRepaint(TabsUI2.java:432)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.mousePressed(TabsUI2.java:550)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent(Component.java:5131)
	at java.awt.Component.processEvent(Component.java:4931)
	at java.awt.Container.processEvent(Container.java:1566)
	at java.awt.Component.dispatchEventImpl(Component.java:3639)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
*********** Exception occurred ************ at Wed Feb 18 10:51:55 
EST 2004
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.ScrollingTabLayoutM
odel.getW(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.AbstractScrollableT
absUI.getTabRect(AbstractScrollableTabsUI.java:201)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.possibleRepaint(TabsUI2.java:432)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.mousePressed(TabsUI2.java:550)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent(Component.java:5131)
	at java.awt.Component.processEvent(Component.java:4931)
	at java.awt.Container.processEvent(Container.java:1566)
	at java.awt.Component.dispatchEventImpl(Component.java:3639)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
*********** Exception occurred ************ at Wed Feb 18 10:52:55 
EST 2004
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.ScrollingTabLayoutM
odel.getW(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.AbstractScrollableT
absUI.getTabRect(AbstractScrollableTabsUI.java:201)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.possibleRepaint(TabsUI2.java:432)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.mousePressed(TabsUI2.java:550)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent(Component.java:5131)
	at java.awt.Component.processEvent(Component.java:4931)
	at java.awt.Container.processEvent(Container.java:1566)
	at java.awt.Component.dispatchEventImpl(Component.java:3639)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
*********** Exception occurred ************ at Wed Feb 18 10:53:13 
EST 2004
java.lang.ArrayIndexOutOfBoundsException: -1
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.ScrollingTabLayoutM
odel.getW(ScrollingTabLayoutModel.java:681)
	at 
org.netbeans.core.windows.view.ui.tabcontrol.plaf.AbstractScrollableT
absUI.getTabRect(AbstractScrollableTabsUI.java:201)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.possibleRepaint(TabsUI2.java:432)
	at org.netbeans.core.windows.view.ui.tabcontrol.plaf.TabsUI2
$Controller2.mousePressed(TabsUI2.java:550)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.AWTEventMulticaster.mousePressed
(AWTEventMulticaster.java:217)
	at java.awt.Component.processMouseEvent(Component.java:5131)
	at java.awt.Component.processEvent(Component.java:4931)
	at java.awt.Container.processEvent(Container.java:1566)
	at java.awt.Component.dispatchEventImpl(Component.java:3639)
	at java.awt.Container.dispatchEventImpl(Container.java:1623)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3450)
	at java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3162)
	at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3095)
	at java.awt.Container.dispatchEventImpl(Container.java:1609)
	at java.awt.Window.dispatchEventImpl(Window.java:1590)
	at java.awt.Component.dispatchEvent(Component.java:3480)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:450)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:197)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:144)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:136)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:99)
Comment 4 _ tboudreau 2004-02-18 16:39:36 UTC
Fixed in trunk.

/cvs/core/windows/src/org/netbeans/core/windows/view/ui/tabcontrol/plaf/
TabsUI2.java,v  <--  TabsUI2.java
new revision: 1.12; previous revision: 1.11
done
Processing log script arguments...
Comment 5 Marian Mirilovic 2004-03-19 12:26:38 UTC
verified in NB 3.6 RC1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo